From c5c0c5da56e55908395a1ba4f284e190a36184dc Mon Sep 17 00:00:00 2001
From: Walter Doekes <walter+github@wjd.nu>
Date: Sun, 20 Sep 2015 13:17:30 +0200
Subject: [PATCH 14/15] build: Properly force a recompile on config.h change.

Also move the ASTERISK_VERSION_NUM to config.h.
---
 Makefile.in  |  6 +++---
 config.h.in  | 48 ++++++++++++++++++++++++++++++------------------
 configure.in |  4 +++-
 stamp-h.in   |  1 +
 4 files changed, 37 insertions(+), 22 deletions(-)

diff --git a/config.h.in b/config.h.in
index a977ab9..6ac3f32 100644
--- a/config.h.in
+++ b/config.h.in
@@ -1,5 +1,7 @@
-#ifndef CONFIG_H_INCLUDED
-#define CONFIG_H_INCLUDED
+/* config.h.in.  Generated from configure.in by autoheader.  */
+
+/* The Asterisk version as configured --with-astversion. */
+#undef ASTERISK_VERSION_NUM
 
 /* name of asterisk module */
 #undef AST_MODULE
@@ -10,12 +12,12 @@
 /* Build Manager extentions */
 #undef BUILD_MANAGER
 
+/* Define to 1 if you have HAVE_AST_CONTROL_SRCCHANGE in asterisk/frame.h */
+#undef HAVE_AST_CONTROL_SRCCHANGE
+
 /* Define to 1 if you have the <fcntl.h> header file. */
 #undef HAVE_FCNTL_H
 
-/* Define to 1 if you have the <iconv.h> header file. */
-#undef HAVE_ICONV_H
-
 /* Define to 1 if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
 
@@ -34,6 +36,9 @@
 /* Define to 1 if you have the `memset' function. */
 #undef HAVE_MEMSET
 
+/* Define to 1 if you have the `realpath' function. */
+#undef HAVE_REALPATH
+
 /* Define to 1 if you have the <stdint.h> header file. */
 #undef HAVE_STDINT_H
 
@@ -46,9 +51,6 @@
 /* Define to 1 if you have the `strchr' function. */
 #undef HAVE_STRCHR
 
-/* Define to 1 if you have the `realpath' function. */
-#undef HAVE_REALPATH
-
 /* Define to 1 if you have the <strings.h> header file. */
 #undef HAVE_STRINGS_H
 
@@ -82,33 +84,45 @@
 /* Define to iconv_t if you has iconv_t in iconv.h */
 #undef ICONV_T
 
-/* Define to 1 if you have HAVE_AST_CONTROL_SRCCHANGE in asterisk/frame.h */
-#undef HAVE_AST_CONTROL_SRCCHANGE
+/* Define to the address where bug reports for this package should be sent */
+#undef MODULE_BUGREPORT
+
+/* Define to the home page for this package */
+#undef MODULE_URL
+
+/* Define to the version of this package */
+#undef MODULE_VERSION
+
+/* Name of package */
+#undef PACKAGE
 
 /* Define to the address where bug reports for this package should be sent. */
-#undef MODULE_BUGREPORT
+#undef PACKAGE_BUGREPORT
 
 /* Define to the full name of this package. */
-//#undef PACKAGE_NAME
+#undef PACKAGE_NAME
 
 /* Revision of package */
 #undef PACKAGE_REVISION
 
 /* Define to the full name and version of this package. */
-//#undef PACKAGE_STRING
+#undef PACKAGE_STRING
 
 /* Define to the one symbol short name of this package. */
-//#undef PACKAGE_TARNAME
+#undef PACKAGE_TARNAME
 
 /* Define to the home page for this package. */
-#undef MODULE_URL
+#undef PACKAGE_URL
 
 /* Define to the version of this package. */
-#undef MODULE_VERSION
+#undef PACKAGE_VERSION
 
 /* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS
 
+/* Version number of package */
+#undef VERSION
+
 /* Define for Solaris 2.5.1 so the uint64_t typedef from <sys/synch.h>,
    <pthread.h>, or <semaphore.h> is not used. If the typedef were allowed, the
    #define below would cause a syntax error. */
@@ -135,5 +149,3 @@
 /* Define to the type of an unsigned integer type of width exactly 64 bits if
    such a type exists and the standard includes do not define it. */
 #undef uint64_t
-
-#endif /* CONFIG_H_INCLUDED */
diff --git a/configure.in b/configure.in
index 0a0c861..52befd6 100644
--- a/configure.in
+++ b/configure.in
@@ -7,6 +7,7 @@ AC_CANONICAL_TARGET
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS([config.h])
 AC_CONFIG_SRCDIR([chan_dongle.c])
+AC_CONFIG_FILES([stamp-h], [echo timestamp > stamp-h])
 AC_CANONICAL_SYSTEM
 AC_CANONICAL_HOST
 
@@ -30,7 +31,8 @@ AC_ARG_WITH(
 	[ if ! test "$((with_astversion + 0))" -eq "$with_astversion" ; then AC_MSG_ERROR([Invalid --with-astversion=MMmmuu value]); fi ],
 	[ AC_MSG_ERROR([Please set --with-astversion=MMmmuu (major.minor.micro)]) ]
 )
-CPPFLAGS="$CPPFLAGS -DASTERISK_VERSION_NUM=$with_astversion"
+AC_DEFINE_UNQUOTED([ASTERISK_VERSION_NUM], [$with_astversion],
+		   [The Asterisk version as configured --with-astversion.])
 
 AC_ARG_ENABLE(
 	[debug], 
diff --git a/stamp-h.in b/stamp-h.in
index e69de29..9788f70 100644
--- a/stamp-h.in
+++ b/stamp-h.in
@@ -0,0 +1 @@
+timestamp

